Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class ImageDisplay

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      ImageDisplay

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, Scrollable

    public class ImageDisplay

extends JPanel
implements Scrollable

Class to display an image and the current location with a + sign Copyright Georgia Institute of Technology 2004

Author:
  Barb Ericson ericson@cc.gatech.edu
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ImageDisplay(Image theImage)` Constructor that takes the image to display
`ImageDisplay(Image theImage, int x, int y)` Constructor that takes the image and current x and y

Method Summary
`int` | `getCurrentX()` Method to get the current x
`int` | `getCurrentY()` Method to get the current y
`Image` | `getImage()` Method to get the image
`Dimension` | `getPreferredScrollableViewportSize()` Method to return the preferred size
`int` | `getScrollableBlockIncrement(Rectangle visibleRect, int orientation, int direction)` Method to return the block increment for scrolling
`boolean` | `getScrollableTracksViewportHeight()` Method to check if the viewport height is the source height
`boolean` | `getScrollableTracksViewportWidth()` Method to check if the viewport width is the source width
`int` | `getScrollableUnitIncrement(Rectangle visibleRect, int orientation, int direction)` Method to return the unit increment for scrolling
`void` | `paintComponent(Graphics g)` Method to handle displaying this object
`void` | `setCurrentX(int x)` Method to set the current x
`void` | `setCurrentY(int y)` Method to set the current y
`void` | `setImage(Image theImage)` Method to set the image

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageDisplay

    public ImageDisplay(Image theImage)

  Constructor that takes the image to display

  Parameters:
    `theImage` - the image to display

### ImageDisplay

    public ImageDisplay(Image theImage,
                        int x,
                        int y)

  Constructor that takes the image and current x and y

  Parameters:
    `theImage` - the image to display
    `x` - the current x value to use
    `y` - the current y value to use

Method Detail

### getImage

    public Image getImage()

  Method to get the image

  Returns:
    the image

### getCurrentX

    public int getCurrentX()

  Method to get the current x

  Returns:
    the current x value

### getCurrentY

    public int getCurrentY()

  Method to get the current y

  Returns:
    the current y value

### setCurrentX

    public void setCurrentX(int x)

  Method to set the current x

  Parameters:
    `x` - the x value to use

### setCurrentY

    public void setCurrentY(int y)

  Method to set the current y

  Parameters:
    `y` - the y value to use

### setImage

    public void setImage(Image theImage)

  Method to set the image

  Parameters:
    `theImage` - the new image to use

### getPreferredScrollableViewportSize

    public Dimension getPreferredScrollableViewportSize()

  Method to return the preferred size

  Specified by:
    `getPreferredScrollableViewportSize` in interface `Scrollable`
  Returns:
    the preferred size of this component

### getScrollableUnitIncrement

    public int getScrollableUnitIncrement(Rectangle visibleRect,
                                          int orientation,
                                          int direction)

  Method to return the unit increment for scrolling

  Specified by:
    `getScrollableUnitIncrement` in interface `Scrollable`
  Parameters:
    `visibleRect` - the visible rectangle
    `orientation` - vertical or horizontal
    `direction` - neg is up or left and pos is right or down
  Returns:
    the unit increment for arrow clicks

### getScrollableBlockIncrement

    public int getScrollableBlockIncrement(Rectangle visibleRect,
                                           int orientation,
                                           int direction)

  Method to return the block increment for scrolling

  Specified by:
    `getScrollableBlockIncrement` in interface `Scrollable`
  Parameters:
    `visibleRect` - the visible rectangle
    `orientation` - vertical or horizontal
    `direction` - neg is up or left and pos is right or down
  Returns:
    the block increment for clicking in scroll area

### getScrollableTracksViewportWidth

    public boolean getScrollableTracksViewportWidth()

  Method to check if the viewport width is the source width

  Specified by:
    `getScrollableTracksViewportWidth` in interface `Scrollable`
  Returns:
    true if viewport and source have same width

### getScrollableTracksViewportHeight

    public boolean getScrollableTracksViewportHeight()

  Method to check if the viewport height is the source height

  Specified by:
    `getScrollableTracksViewportHeight` in interface `Scrollable`
  Returns:
    true if viewport and soure have same height

### paintComponent

    public void paintComponent(Graphics g)

  Method to handle displaying this object

  Overrides:
    `paintComponent` in class `JComponent`
  Parameters:
    `g` - the graphics object for drawing with

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD